<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="propclass_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* propclass.h -- Generated automatically; do not edit. */</span>
<a name="l00002"></a>00002 <span class="preprocessor">#ifndef __PROPCLASS_H__</span>
<a name="l00003"></a>00003 <span class="preprocessor"></span><span class="preprocessor">#define __PROPCLASS_H__</span>
<a name="l00004"></a>00004 <span class="preprocessor"></span><span class="comment">/*</span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment">  </span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment">  </span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;propclass/actoranalog.h&quot;</span>
<a name="l00025"></a>00025 <span class="preprocessor">#include &quot;propclass/actormove.h&quot;</span>
<a name="l00026"></a>00026 <span class="preprocessor">#include &quot;propclass/analogmotion.h&quot;</span>
<a name="l00027"></a>00027 <span class="preprocessor">#include &quot;propclass/bag.h&quot;</span>
<a name="l00028"></a>00028 <span class="preprocessor">#include &quot;propclass/billboard.h&quot;</span>
<a name="l00029"></a>00029 <span class="preprocessor">#include &quot;propclass/camera.h&quot;</span>
<a name="l00030"></a>00030 <span class="preprocessor">#include &quot;propclass/cameras/tracking.h&quot;</span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;propclass/chars.h&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;propclass/colldet.h&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;propclass/craft.h&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;propclass/damage.h&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;propclass/defcam.h&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;propclass/delegcam.h&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;propclass/dynmove.h&quot;</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include &quot;propclass/evolve.h&quot;</span>
<a name="l00039"></a>00039 <span class="preprocessor">#include &quot;propclass/grab.h&quot;</span>
<a name="l00040"></a>00040 <span class="preprocessor">#include &quot;propclass/gravity.h&quot;</span>
<a name="l00041"></a>00041 <span class="preprocessor">#include &quot;propclass/hover.h&quot;</span>
<a name="l00042"></a>00042 <span class="preprocessor">#include &quot;propclass/input.h&quot;</span>
<a name="l00043"></a>00043 <span class="preprocessor">#include &quot;propclass/inv.h&quot;</span>
<a name="l00044"></a>00044 <span class="preprocessor">#include &quot;propclass/jump.h&quot;</span>
<a name="l00045"></a>00045 <span class="preprocessor">#include &quot;propclass/light.h&quot;</span>
<a name="l00046"></a>00046 <span class="preprocessor">#include &quot;propclass/linmove.h&quot;</span>
<a name="l00047"></a>00047 <span class="preprocessor">#include &quot;propclass/mechcommon.h&quot;</span>
<a name="l00048"></a>00048 <span class="preprocessor">#include &quot;propclass/mechenv.h&quot;</span>
<a name="l00049"></a>00049 <span class="preprocessor">#include &quot;propclass/mechexploder.h&quot;</span>
<a name="l00050"></a>00050 <span class="preprocessor">#include &quot;propclass/mechsys.h&quot;</span>
<a name="l00051"></a>00051 <span class="preprocessor">#include &quot;propclass/mechthruster.h&quot;</span>
<a name="l00052"></a>00052 <span class="preprocessor">#include &quot;propclass/mesh.h&quot;</span>
<a name="l00053"></a>00053 <span class="preprocessor">#include &quot;propclass/meshdeform.h&quot;</span>
<a name="l00054"></a>00054 <span class="preprocessor">#include &quot;propclass/meshsel.h&quot;</span>
<a name="l00055"></a>00055 <span class="preprocessor">#include &quot;propclass/move.h&quot;</span>
<a name="l00056"></a>00056 <span class="preprocessor">#include &quot;propclass/mover.h&quot;</span>
<a name="l00057"></a>00057 <span class="preprocessor">#include &quot;propclass/neuralnet.h&quot;</span>
<a name="l00058"></a>00058 <span class="preprocessor">#include &quot;propclass/newcamera.h&quot;</span>
<a name="l00059"></a>00059 <span class="preprocessor">#include &quot;propclass/npcmove.h&quot;</span>
<a name="l00060"></a>00060 <span class="preprocessor">#include &quot;propclass/pathfinder.h&quot;</span>
<a name="l00061"></a>00061 <span class="preprocessor">#include &quot;propclass/portal.h&quot;</span>
<a name="l00062"></a>00062 <span class="preprocessor">#include &quot;propclass/projectile.h&quot;</span>
<a name="l00063"></a>00063 <span class="preprocessor">#include &quot;propclass/prop.h&quot;</span>
<a name="l00064"></a>00064 <span class="preprocessor">#include &quot;propclass/quest.h&quot;</span>
<a name="l00065"></a>00065 <span class="preprocessor">#include &quot;propclass/region.h&quot;</span>
<a name="l00066"></a>00066 <span class="preprocessor">#include &quot;propclass/rules.h&quot;</span>
<a name="l00067"></a>00067 <span class="preprocessor">#include &quot;propclass/simpcam.h&quot;</span>
<a name="l00068"></a>00068 <span class="preprocessor">#include &quot;propclass/solid.h&quot;</span>
<a name="l00069"></a>00069 <span class="preprocessor">#include &quot;propclass/sound.h&quot;</span>
<a name="l00070"></a>00070 <span class="preprocessor">#include &quot;propclass/spawn.h&quot;</span>
<a name="l00071"></a>00071 <span class="preprocessor">#include &quot;propclass/steer.h&quot;</span>
<a name="l00072"></a>00072 <span class="preprocessor">#include &quot;propclass/test.h&quot;</span>
<a name="l00073"></a>00073 <span class="preprocessor">#include &quot;propclass/timer.h&quot;</span>
<a name="l00074"></a>00074 <span class="preprocessor">#include &quot;propclass/tooltip.h&quot;</span>
<a name="l00075"></a>00075 <span class="preprocessor">#include &quot;propclass/trigger.h&quot;</span>
<a name="l00076"></a>00076 <span class="preprocessor">#include &quot;propclass/wasdmove.h&quot;</span>
<a name="l00077"></a>00077 <span class="preprocessor">#include &quot;propclass/wheeled.h&quot;</span>
<a name="l00078"></a>00078 <span class="preprocessor">#include &quot;propclass/wheeledmove.h&quot;</span>
<a name="l00079"></a>00079 <span class="preprocessor">#include &quot;propclass/wire.h&quot;</span>
<a name="l00080"></a>00080 <span class="preprocessor">#include &quot;propclass/zone.h&quot;</span>
<a name="l00081"></a>00081 <span class="preprocessor">#endif </span><span class="comment">/* __PROPCLASS_H__ */</span>
<a name="l00082"></a>00082 
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
